const esbuild = require('esbuild');
const { sassPlugin } = require('esbuild-sass-plugin');

function buildJs() {
  const builds = [
    {
      entrypoints: ['js/dist-full.js'],
      outfile: 'bundle/mythical-player-full.dist.js',
      footer: {
        js: 'var MythicalPlayer = MythicalPlayerComponent.default'
      },
      globalName: 'MythicalPlayerComponent'
    }
  ];

  builds.forEach(_build => {
    esbuild.build({
      ..._build,
      format: 'iife',
      globalName: 'MythicalPlayerComponent',
      bundle: true,
      minify: true,
      sourcemap: false,
      legalComments: 'eof',
      target: ['chrome102', 'firefox102', 'safari16'],
      plugins: [
        sassPlugin({
          filter: /\.scss$/,
          type: 'css-text'
        })
      ]
    });
  });
}

module.exports = {
  buildJs,
  build: buildJs
};
