import { prominent } from 'color.js';
import { rgbToHex } from './rgb-to-hex';
import { orderByLuminance } from './order-by-luminance';

export function resetBackground({ setProminentColors }) {
  setProminentColors('');
}

export function setBackground({ coverUrl, setProminentColors }) {
  prominent(coverUrl, { amount: 5, format: 'rgb', group: 40, sample: 10 }).then(
    colors => {
      const colorPropsRgb = colors.map(item => {
        return {
          r: item[0],
          g: item[1],
          b: item[2]
        };
      });
      const orderedColorsRgb = orderByLuminance(colorPropsRgb);
      const colorProps = orderedColorsRgb
        .map((item, index) => {
          return `--player--main-color-${index}: ${rgbToHex(item)};`;
        })
        .join('');
      setProminentColors(colorProps);
    }
  );
}
