import { component } from 'haunted';

export function createComponent({
  name,
  fnComponent,
  useShadowDOM = false,
  observedAttributes = []
}) {
  if (!customElements.get(name)) {
    customElements.define(
      name,
      component(model => fnComponent(model), {
        observedAttributes,
        useShadowDOM
      })
    );
  }
}
