import { getCover } from './get-cover';

export function setupMediaSession({ index, playlist, handleAudio }) {
  const metadata = playlist[index];
  const type = 'image/jpeg';
  navigator.mediaSession.metadata = new MediaMetadata({
    title: metadata.title,
    artist: metadata.artist,
    album: metadata.album,
    artwork: ['512', '384', '256', '192', '128', '96'].map(size => {
      return {
        src: metadata.cover ? getCover(metadata.cover) : null,
        sizes: `${size}x${size}`,
        type
      };
    })
  });
  navigator.mediaSession.setActionHandler(
    'nexttrack',
    index < playlist.length - 1 ? handleAudio.next : null
  );
  navigator.mediaSession.setActionHandler(
    'previoustrack',
    index > 0 ? handleAudio.previous : null
  );
  navigator.mediaSession.setActionHandler('play', handleAudio.play);
  navigator.mediaSession.setActionHandler('pause', handleAudio.pause);
  navigator.mediaSession.setActionHandler('stop', handleAudio.stop);
}
