import { virtual } from 'haunted';
import { html } from 'lit-html';
import {
  readable as formatTime,
  iso as formatTimeDuration
} from 'mystic-format-time';

export const ItemDuration = virtual(({ duration }) => {
  return html`
    <time
      class="myth-playlist__item-block myth-item-text size-small"
      datetime="${formatTimeDuration(duration)}"
    >
      ${formatTime(duration)}
    </time>
  `;
});
