const chokidar = require('chokidar');
const express = require('express');

const app = express();

app.get('/', (req, res) => {
  res.sendFile('dev/dev-template.html', {
    root: __dirname
  });
});
app.get('/assets/js/mythical-player-full.dist.js', (req, res) => {
  res.sendFile('bundle/mythical-player-full.dist.js', {
    root: __dirname
  });
});
app.use('/assets/media', express.static(process.env.MEDIA_FOLDER));

const port = process.env.PORT;
app.listen(port, () => {
  console.log(`Example app listening on port ${port}`);
});

const watcher = chokidar.watch(['js', 'sass'], {
  ignored: (path, stats) =>
    stats?.isFile() && !path.endsWith('.scss') && !path.endsWith('.js'),
  persistent: true
});
watcher.on('change', (path, stats) => {
  if (stats) console.log(`File ${path} changed`);
  require('./build.js').buildJs();
});
